package response

type Response[T any] struct {
	Message string `json:"message"`
	Items   *T     `json:"items"`
	Count   int    `json:"count"`
}

func Make[T any](items *T, count int, message string) Response[T] {
	return Response[T]{
		Message: message,
		Items:   items,
		Count:   count,
	}
}
